diff --git a/plugins/Makefile.am b/plugins/Makefile.am
index 9c5b488..d7c9dab 100644
--- a/plugins/Makefile.am
+++ b/plugins/Makefile.am
@@ -25,6 +25,7 @@ export_la_LDFLAGS        = -module -avoid-version
 saveactions_la_LDFLAGS   = -module -avoid-version
 filebrowser_la_LDFLAGS   = -module -avoid-version
 splitwindow_la_LDFLAGS   = -module -avoid-version
+xmlsnippets_la_LDFLAGS   = -module -avoid-version
 
 if PLUGINS
 
@@ -50,7 +51,8 @@ all-local: \
 	htmlchars.dll \
 	export.dll \
 	saveactions.dll \
-	filebrowser.dll
+	filebrowser.dll \
+	xmlsnippets.dll
 # Split Window is broken on Windows
 #	splitwindow.dll
 
@@ -70,7 +72,8 @@ plugin_LTLIBRARIES = \
 	export.la \
 	saveactions.la \
 	filebrowser.la \
-	splitwindow.la
+	splitwindow.la \
+	xmlsnippets.la
 
 # Plugins not to be installed
 noinst_LTLIBRARIES = \
@@ -83,6 +86,7 @@ export_la_SOURCES        = export.c
 saveactions_la_SOURCES   = saveactions.c
 filebrowser_la_SOURCES   = filebrowser.c
 splitwindow_la_SOURCES   = splitwindow.c
+xmlsnippets_la_SOURCES   = xmlsnippets.c
 
 demoplugin_la_CFLAGS    = -DG_LOG_DOMAIN=\""Demoplugin"\"
 classbuilder_la_CFLAGS  = -DG_LOG_DOMAIN=\""Classbuilder"\"
@@ -91,6 +95,7 @@ export_la_CFLAGS        = -DG_LOG_DOMAIN=\""Export"\"
 saveactions_la_CFLAGS   = -DG_LOG_DOMAIN=\""SaveActions"\"
 filebrowser_la_CFLAGS   = -DG_LOG_DOMAIN=\""FileBrowser"\"
 splitwindow_la_CFLAGS   = -DG_LOG_DOMAIN=\""SplitWindow"\"
+xmlsnippets_la_CFLAGS   = -DG_LOG_DOMAIN=\""XMLSnippets"\"
 
 demoplugin_la_LIBADD    = $(GTK_LIBS)
 classbuilder_la_LIBADD  = $(GTK_LIBS)
@@ -99,6 +104,7 @@ export_la_LIBADD        = $(GTK_LIBS)
 saveactions_la_LIBADD   = $(GTK_LIBS)
 filebrowser_la_LIBADD   = $(GTK_LIBS)
 splitwindow_la_LIBADD   = $(GTK_LIBS)
+xmlsnippets_la_LIBADD   = $(GTK_LIBS)
 
 endif # MINGW
 endif # PLUGINS
diff --git a/plugins/makefile.win32 b/plugins/makefile.win32
index e66a572..fb59a70 100644
--- a/plugins/makefile.win32
+++ b/plugins/makefile.win32
@@ -56,7 +56,8 @@ plugins: \
 		classbuilder.dll \
 		export.dll \
 		saveactions.dll \
-		filebrowser.dll
+		filebrowser.dll \
+		xmlsnippets.dll
 
 # Split Window is broken on Windows
 #		splitwindow.dll
diff --git a/po/POTFILES.in b/po/POTFILES.in
index 975bc31..808ccbb 100644
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -45,3 +45,4 @@ plugins/export.c
 plugins/filebrowser.c
 plugins/saveactions.c
 plugins/splitwindow.c
+plugins/xmlsnippets.c
\ No newline at end of file
diff --git a/wscript b/wscript
index 3e134e8..3ca5155 100644
--- a/wscript
+++ b/wscript
@@ -413,6 +413,7 @@ def build(bld):
 		build_plugin('htmlchars')
 		build_plugin('saveactions')
 		build_plugin('splitwindow', not is_win32)
+		build_plugin('xmlsnippets')
 
 	# Translations
 	if bld.env['INTLTOOL']:
